Skip to main content
POST
Generate Report

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

access_review_id
string
required

The accessReviewId field.

Body

application/json

The AccessReviewActionsServiceGenerateReportRequest message.

format
enum<string>

Output format for the report. When unspecified, programmatic public-API callers (REST gateway and MCP) get JSON and the in-app UI gets XLSX. JSON and CSV return the per-decision certification rows; XLSX returns the full multi-sheet Excel workbook.

Available options:
ACCESS_REVIEW_REPORT_FORMAT_UNSPECIFIED,
ACCESS_REVIEW_REPORT_FORMAT_XLSX,
ACCESS_REVIEW_REPORT_FORMAT_JSON,
ACCESS_REVIEW_REPORT_FORMAT_CSV
reportColumnConfig
Access Review Report Column Config · object | null

Configuration for columns in the generated access review Excel report.

Response

200 - application/json

Successful response

The AccessReviewActionsServiceGenerateReportResponse message.